#!/bin/sh

dir=`dirname $0`
dir=`cd $dir; pwd`

PACKAGE=$1

if [ -z "$PACKAGE" -o "-h" = "$1" -o "--help" = "$1" ]; then
  echo
  echo "Usage: " `basename $0` "<name of source package>"
  echo
  echo "Example: build/mkcontrol.sh nordugrid-arc0 > debian/control"
  echo
  exit 1
fi

cat $dir/control.head

for i in $dir/*.summary
do
  echo
  eks="" 
  for e in $experimental
  do
    test x$e = x$i && eks="yes"
  done
  subpkg=`basename $i .summary`

  echo "Package: $PACKAGE-$subpkg"
  if [ "doc" = "$subpkg" -o "monitor" = "$subpkg" ]; then
    echo "Architecture: all"
  else
    echo "Architecture: any"
  fi

  if [ "nordugrid-arc" != "$1" ]; then
    echo "Replaces: nordugrid-arc-$subpkg"
    echo "Provides: nordugrid-arc-$subpkg"
  fi

  # Depends: wget, perl
  if [ -r $dir/$subpkg.depends ]; then
    echo "Depends: `cat $dir/$subpkg.depends | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  if [ -r $dir/$subpkg.conflicts ]; then
    echo "Conflicts: `cat $dir/$subpkg.conflicts | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  if [ -r $dir/$subpkg.replaces ]; then
    echo "Replaces: `cat $dir/$subpkg.replaces | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  if [ -r $dir/$subpkg.provides ]; then
    echo "Provides: `cat $dir/$subpkg.provides | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  if [ -r $dir/$subpkg.recommends ]; then
    echo "Recommends: `cat $dir/$subpkg.recommends | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  if [ -r $dir/$subpkg.suggests ]; then
    echo "Suggests: `cat $dir/$subpkg.suggests | tr '\n' ',' | sed -e 's/,$//' -e 's/,/, /g'`"
  fi
  echo "Description: `cat $dir/$subpkg.summary|head -1`"
  cat $dir/$subpkg.desc|fmt|sed -e 's/^$/./' -e 's/^/ /'
done
